automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: test case for Ladislav's bug


From: Alexandre Duret-Lutz
Subject: FYI: test case for Ladislav's bug
Date: 02 Aug 2002 17:57:34 +0200
User-agent: Gnus/5.0808 (Gnus v5.8.8) Emacs/20.7

I'm installing the following patch on HEAD.  Backporting the fix
to branch-1-6 doesn't seem very safe, and since we'd like to 
release 1.7 it doesn't seem worth bothering.

2002-08-02  Alexandre Duret-Lutz  <address@hidden>

        * tests/ext2.test: New file.  This bug is present in Automake 1.6.3
        and was fixed by the change on variable_conditions_permutations
        and invert_conditions on 2002-05-16.
        * tests/Makefile.am (TESTS): Add ext2.test.
        Reported by Ladislav Strojil.

Index: THANKS
===================================================================
RCS file: /cvs/automake/automake/THANKS,v
retrieving revision 1.183
diff -u -r1.183 THANKS
--- THANKS      23 Jul 2002 18:58:07 -0000      1.183
+++ THANKS      2 Aug 2002 16:03:16 -0000
@@ -102,6 +102,7 @@
 Kevin Street           address@hidden
 Klaus Reichl           address@hidden
 L. Peter Deutsch       address@hidden
+Ladislav Strojil       address@hidden
 Larry Jones            address@hidden
 Lars Hecking           address@hidden
 Lars J. Aas            address@hidden
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.426
diff -u -r1.426 Makefile.am
--- tests/Makefile.am   31 Jul 2002 19:58:26 -0000      1.426
+++ tests/Makefile.am   2 Aug 2002 16:04:17 -0000
@@ -155,6 +155,7 @@
 exeext2.test \
 exsource.test \
 ext.test \
+ext2.test \
 extra.test \
 extra3.test \
 extra4.test \
Index: tests/ext2.test
===================================================================
RCS file: tests/ext2.test
diff -N tests/ext2.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/ext2.test     2 Aug 2002 16:04:18 -0000
@@ -0,0 +1,53 @@
+#!/bin/sh
+# Regression test for a bug reported by Ladislav Strojil.
+# Using different extensions for the same language should not
+# output the build rules several times.
+
+. $srcdir/defs
+
+set -e
+
+cat >>configure.in <<EOF
+AC_PROG_CXX
+EOF
+
+cat >Makefile.am <<EOF
+bin_PROGRAMS = p q r
+p_SOURCES = a.cc b.cpp c.cxx
+q_SOURCES = sub/d.cc sub/e.cpp sub/f.cxx
+r_SOURCES = g.cc h.cpp i.cxx
+r_CXXFLAGS = -DFOO
+EOF
+
+$ACLOCAL
+$AUTOMAKE
+
+grep '\.o:' Makefile.in > rules
+cat rules
+
+# Here is a example of bogus output.  The rules are output several
+# times.
+#|  .cc.o:
+#|  d.o: sub/d.cc
+#|  e.o: sub/e.cpp
+#|  f.o: sub/f.cxx
+#|  r-g.o: g.cc
+#|  r-h.o: h.cpp
+#|  r-i.o: i.cxx
+#|  .cpp.o:
+#|  d.o: sub/d.cc
+#|  e.o: sub/e.cpp
+#|  f.o: sub/f.cxx
+#|  r-g.o: g.cc
+#|  r-h.o: h.cpp
+#|  r-i.o: i.cxx
+#|  .cxx.o:
+#|  #d.o: sub/d.cc
+#|  #e.o: sub/e.cpp
+#|  #f.o: sub/f.cxx
+#|  #r-g.o: g.cc
+#|  #r-h.o: h.cpp
+#|  #r-i.o: i.cxx
+
+# Bail out if we find a duplicate.
+$PERL -ne 'if (exists $a{$_}) { exit 1 } else { $a{$_} = 1 }' < rules

-- 
Alexandre Duret-Lutz




reply via email to

[Prev in Thread] Current Thread [Next in Thread]